<?php


defined('_JEXEC') or die('Restricted access');
 

 
class fontiranModelclassfonts extends JModelList
{
	
	
	public function __construct($config = array())	
	{		
		if (empty($config['filter_fields'])){			
			$config['filter_fields'] = array(
				'published', 'a.published',
				'font', 'a.font',
				'title', 'a.title',
				'name', 'a.name',
				'id', 'a.id'
			);		
		} 		
		parent::__construct($config);	
	}	
	

	
	protected function getListQuery()
	{
		
		$db    = JFactory::getDbo();
		$query = $db->getQuery(true);
 
		$query->select('a.*,f.name as font_name');
		$query->from('#__fontiran_class as a');
		$query->join('LEFT', '#__fontiran_font AS f ON f.id = a.font');
		
		$orderCol	= $this->state->get('list.ordering', 'ordering');		
		$orderDirn 	= $this->state->get('list.direction', 'ASC'); 		
		$query->order($db->escape($orderCol) . ' ' . $db->escape($orderDirn));
		
		$query->order($db->escape($this->getState('list.ordering', 'ordering')) . ' ' . $db->escape($this->getState('list.direction', 'ASC')));
 
		return $query;
	}
	
	
	protected function populatarea($ordering = null, $direction = null) {
		parent::populatarea('ordering', 'ASC');
	}	
	
}