

CREATE TABLE `#__fontiran_class` (
  `id` int(11) NOT NULL auto_increment,
  `title` varchar(255) CHARACTER SET utf8 NOT NULL,
  `name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `font` int(11) NOT NULL,
  `size` int(3) NOT NULL,
  `size_type` varchar(5) CHARACTER SET utf8 NOT NULL,
  `color` varchar(20) CHARACTER SET utf8 NOT NULL,
  `published` int(1) NOT NULL,
  `ordering` int(3) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8;

INSERT INTO `#__fontiran_class` (`id`, `title`, `name`, `font`, `size`, `size_type`, `color`, `published`, `ordering`) VALUES
(2, 'تمام محتوا', 'html,body,div,header,footer,h1,h1 a,h2,h2 a,h3,h3 a,h4,h4 a,h5,h5 a,h6,h6 a,p', 0, 13, 'px', '#000000', 1, 1),
(3, 'بدنه', 'body', 0, 13, 'px', '#000000', 1, 2),
(4, 'سربرگ ها', 'h1,h1 a,h2,h2 a,h3,h3 a,h4,h4 a,h5,h5 a,h6,h6 a', 0, 16, 'px', '#000000', 1, 3),
(5, 'لينک ها', 'a', 0, 13, 'px', '#000000', 1, 4),
(6, 'متن ها', 'p', 0, 13, 'px', '#000000', 1, 5),
(7, 'نقل قول ها', 'blockquote', 0, 13, 'px', '#000000', 1, 6),
(8, 'کدها', 'code', 0, 12, 'px', '#000000', 1, 7);

CREATE TABLE `#__fontiran_font` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) CHARACTER SET utf8 NOT NULL,
  `address` text CHARACTER SET utf8 NOT NULL,
  `ordering` int(3) NOT NULL,
  `published` int(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARACTER SET utf8;

