<?php


defined('_JEXEC') or die('Restricted Access');

JHtml::_('bootstrap.tooltip');
JHtml::_('behavior.multiselect');
JHtml::_('formbehavior.chosen', 'select');

$listOrder	= $this->escape($this->state->get('list.ordering'));
$listDirn	= $this->escape($this->state->get('list.direction'));

$user		= JFactory::getUser();
$userId		= $user->get('id');


$saveOrderingUrl = 'index.php?option=com_fontiran&task=classfonts.saveOrderAjax&tmpl=component';
JHtml::_('sortablelist.sortable', 'classfontsList', 'adminForm', strtolower($listDirn), $saveOrderingUrl);

$doc = JFactory::getDocument();

?>

<form action="index.php?option=com_fontiran&view=classfonts" method="post" id="adminForm" name="adminForm">

	<table class="table table-striped table-hover" id="classfontsList">
		<thead>
		<tr>
			<th width="1%" class="hidden-phone">
				<i class="icon-menu-2 hasTip" title="<?php echo JText::_('JGRID_HEADING_ORDERING'); ?>"></i>
			</th>			
			<th width="1%"><?php echo JText::_('#'); ?></th>
			<th width="2%">
				<?php echo JHtml::_('grid.checkall'); ?>
			</th>
			<th width="20%">
				<?php echo JHtml::_('grid.sort', 'عنوان کلاس', 'title', $listDirn, $listOrder); ?>
			</th>
			<th width="50%">
				<?php echo JHtml::_('grid.sort', 'نام کلاس', 'name', $listDirn, $listOrder); ?>
			</th>
			<th width="20%">
				<?php echo JHtml::_('grid.sort', 'فونت', 'font', $listDirn, $listOrder); ?>
			</th>

			<th width="6%">
				<?php echo JHtml::_('grid.sort', 'انتشار', 'published', $listDirn, $listOrder); ?>
			</th>			
		</tr>
		</thead>
		<tfoot>
			<tr>
				<td colspan="7">
					<?php echo $this->pagination->getListFooter(); ?>
				</td>
			</tr>
		</tfoot>
		<tbody>
			<?php if (!empty($this->items)) : ?>
				<?php foreach ($this->items as $i => $row) :
						@$doc->addStyleSheet($row->address);
						$link = JRoute::_('index.php?option=com_fontiran&task=classfont.edit&id=' . $row->id);
				?>
 
					<tr class="row<?php echo $i % 2; ?>" sortable-group-id="1">
						<td class="order nowrap center hidden-phone">
							<span class="sortable-handler " title="<?php echo JText::_('ترتیب بندی'); ?>" rel="tooltip">
								<i class="icon-menu"></i>
							</span>
							<input type="text" style="display:none"  name="order[]" size="5" value="<?php echo $row->ordering;?>" class="width-20 text-area-order " />
						</td>	
						
						<td>
							<?php echo $this->pagination->getRowOffset($i); ?>
							
						</td>
						<td>
							<?php echo JHtml::_('grid.id', $i, $row->id); ?>
						</td>
						<td>
							<a href="<?php echo $link; ?>" title="<?php echo JText::_('عنوان کلاس'); ?>">
								<?php echo $row->title; ?>
							</a>	
						</td>
						<td>
							<a href="<?php echo $link; ?>" title="<?php echo JText::_('نام کلاس'); ?>">
								<?php echo $row->name; ?>
							</a>	
						</td>
						<td>
							<a href="<?php echo $link; ?>" title="<?php echo JText::_('فونت'); ?>">
								<?php echo $row->font_name; ?>
							</a>	
						</td>
						<td align="center">
							<?php echo JHtml::_('jgrid.published', $row->published, $i, 'classfonts.', true, 'cb'); ?>
						</td>						
					</tr>
				<?php endforeach; ?>
			<?php endif; ?>
		</tbody>
	</table>
	
	<input type="hidden" name="task" value=""/>	
	<input type="hidden" name="boxchecked" value="0"/>
	<input type="hidden" name="filter_order" value="<?php echo $listOrder; ?>"/>	
	<input type="hidden" name="filter_order_Dir" value="<?php echo $listDirn; ?>"/>	
	<?php echo JHtml::_('form.token'); ?>	
</form>

<div style="text-align:center;padding:20px; 0;">
	<p><img style="width:150px;" src="<?php echo JURI::root()."administrator/components/com_fontiran/img/fontiran-logo.png"; ?>" /></p>
	<p>طراحی توسط : <a href="http://webiranian.com" target="_blank" style="">گروه برنامه نویسی وب ایرانیان</a></p>
</div>